Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ErrorInfo.BadAttribute

    java.lang.Object
      com.sun.msv.verifier.ErrorInfo
          com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
              com.sun.msv.verifier.ErrorInfo.BadAttribute

Enclosing class:
  ErrorInfo

public static class ErrorInfo.BadAttribute
extends ErrorInfo.ElementErrorInfo

Bad attribute.

This is an error when the attribute name is wrong, or the attribute value is wrong. For example:

1. When MSV sees an unexpected attribute name:

        <img hreeef="logo.gif"/>

2. When an attribute value does not match the specified datatype. For example, the following document causes this error if the "width" attribute is specified as the int type.

        <img href="logo.gif" width="twenty four pixels" />

This error is reported in the startElement callback.

Currently, the application cannot easily distinguish whether this error is caused by an invalid attribute value, or invalid attribute name. It is also non-trivial for MSV to detect this difference correctly. But there maybe applications to which this difference is important. I welcome any comments on this issue.

Nested Class Summary

Nested classes inherited from class com.sun.msv.verifier.ErrorInfo
`ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.BadText, ErrorInfo.ElementErrorInfo, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute`

Field Summary
`java.lang.String` | `attLocalName`
`java.lang.String` | `attNamespaceURI`
`java.lang.String` | `attQName` information about the attribute that caused the error.
`java.lang.String` | `attValue`

Fields inherited from class com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
`localName, namespaceURI, qName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attQName

    public final java.lang.String attQName

  information about the attribute that caused the error.

### attNamespaceURI

    public final java.lang.String attNamespaceURI

### attLocalName

    public final java.lang.String attLocalName

### attValue

    public final java.lang.String attValue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD